<!DOCTYPE html>
<html>
<head>
<title>Iframe cambia de color</title>
</head>
<body>

<iframe id="myFrame" src="" style="height:380px;width:500px"></iframe>

<p>Click (another document).</p>

<button onclick="myFunction()">Try it</button>

<script>
function myFunction() {
  var iframe = document.getElementById("myFrame");
  var x = iframe.contentWindow.document.getElementsByTagName("BODY")[0];
  var color=["red","black","white","blue","yellow","green","gray"];
  
   x.style.backgroundColor = color[Math.floor(Math.random()*7)];



// sleep time expects milliseconds
function sleep (time) {
  return new Promise((resolve) => setTimeout(resolve, time));
}


// Usage!
sleep(1000).then(() => {
    // Do something after the sleep!
    myFunction();
});
}
</script>

</body>
</html>